#
# spec file for package gnome-devel-docs
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gnome-devel-docs
Version:        40.3
Release:        bp154.1.23
Summary:        GNOME Platform Documentation
License:        CC-BY-SA-4.0 AND GFDL-1.1-only
Group:          Documentation/Other
URL:            https://www.gnome.org
Source:         https://download.gnome.org/sources/gnome-devel-docs/40/%{name}-%{version}.tar.xz

BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  yelp-tools
BuildArch:      noarch

%description
This package contains documents that are useful for GNOME developers.

%lang_package

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install
%find_lang accessibility-devel-guide %{?no_lang_C} devel-docs.lang
%find_lang gnome-devel-demos %{no_lang_C} devel-docs.lang
%find_lang hig %{?no_lang_C} devel-docs.lang
%find_lang optimization-guide %{?no_lang_C} devel-docs.lang
%find_lang platform-overview %{?no_lang_C} devel-docs.lang
%find_lang programming-guidelines %{?no_lang_C} devel-docs.lang
%fdupes %{buildroot}

%files
%license COPYING*
%doc AUTHORS ChangeLog NEWS README
%doc %{_datadir}/help/C/accessibility-devel-guide/
%doc %{_datadir}/help/C/gnome-devel-demos/
%doc %{_datadir}/help/C/hig/
%doc %{_datadir}/help/C/optimization-guide/
%doc %{_datadir}/help/C/platform-overview/
%doc %{_datadir}/help/C/programming-guidelines/

%files lang -f devel-docs.lang

%changelog
* Sat Jul 10 2021 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 40.3:
  + Updated translations.
* Sun Mar 21 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 40.0:
  + Updated translations.
* Thu Mar 18 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 40.rc:
  + Updated translations.
* Mon Feb 15 2021 Callum Farmer <gmbr3@opensuse.org>
- Update to version 40.beta:
  + Updated translations.
* Mon Nov 23 2020 dimstar@opensuse.org
- Update to version 3.38.2:
  + Removed outdated GAIL references in accessibility docs.
  + Updated translations.
* Mon Oct  5 2020 dimstar@opensuse.org
- Update to version 3.38.1:
  + Updated translations.
* Mon Sep 14 2020 dimstar@opensuse.org
- Update to version 3.38.0:
  + Updated translations.
* Mon Sep  7 2020 dimstar@opensuse.org
- Update to version 3.37.92:
  + Fixed typos in Platform Overview.
  + Updated project URLs in Platform Demos.
  + Fixed broken link in Accessibility Devel Guide.
  + Various style improvements.
  + Fix function declaration that breaks the build.
  + Updated translations.
* Sat Jan 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
* Wed Apr 10 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.32.1:
  + Updated HIG guidance for menus.
  + Updated translations.
* Mon Mar 11 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.32.0:
  + Updated palette in the HIG.
  + Added page on async programming to Programming Guidelines.
  + Fixed typos and links in Platform Demos.
  + Clarified instructions in Platform Demos.
  + Fixed various types in all documents.
  + Updated translations.
- Modernize spec.
* Thu Nov 22 2018 bjorn.lie@gmail.com
- Update to version 3.30.2:
  + Updated HIG banner.
* Wed Sep 26 2018 bjorn.lie@gmail.com
- Update to version 3.30.1:
  + Build fixes.
- Changes from version 3.30.0:
  + Update icon design and usage guidelines.
* Mon Mar 12 2018 dimstar@opensuse.org
- Update to version 3.28.0:
  + Modernise JS usage in platform overview and demos (bgo#791111).
  + Update spell-checking page in platform overview (bgo#781265).
  + Glade updates in platform overview.
  + Updated translations.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Tue Sep 12 2017 zaitor@opensuse.org
- Update to version 3.26.0:
  + Add description of GOM and GVDB to programming guidlines.
  + Add a fullscreen mode pattern to the HIG.
  + Improvements to platform demos.
  + HIG-compliant applications may run without open windows.
  + Updated translations.
* Mon Oct 10 2016 zaitor@opensuse.org
- Update to version 3.22.1:
  + Updated translations.
* Tue Sep 20 2016 zaitor@opensuse.org
- Update to version 3.22.0:
  + Updated translations.
* Tue Aug 16 2016 zaitor@opensuse.org
- Update to version 3.21.90:
  + Initial application states pattern for the HIG.
  + Coding style improvements.
  + Updated translations.
* Tue May 10 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Updated translations.
* Mon Apr 11 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Coding style improvements for platform demos (bgo#764655,
    bgo#764675).
  + Updated translations.
* Tue Mar 22 2016 zaitor@opensuse.org
- Update to version 3.20.0:
  + Improved links for the platform overview.
  + Clarifications and improvements to the programming guidelines.
  + Typo and small fixes for the optimization guide and HIG.
  + Use CC-BY-SA 4.0 for the platform overview.
  + Updated translations.
- Handle the new translated programming-guidelines using find_lang.
- Drop gnome-common BuildRequires and stop passing NOCONFIGURE=1
  gnome-autogen.sh before configure, we have not depended on
  gnome-doc-utils since version 3.7.2.
* Tue Oct 13 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Typo and validation fixes.
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Improvements to the HIG.
  + Use thumbnails for topic links on ui-elements.
  + Fix typo in the HIG.
  + Fix filename in Makefile.
  + Fix keyboard shortcuts.
  + Fixes to JavaScript record collection demo.
  + Updated translations.
* Thu Jul 23 2015 zaitor@opensuse.org
- Update to version 3.17.4:
  + Improvements to the HIG.
  + Improved  licensing of the platform overview.
  + Port Python demos to Python 3.
  + Add a page on API stability to the programming guidelines.
  + Updated translations.
* Tue May 12 2015 zaitor@opensuse.org
- Update to version 3.16.2:
  + Improvements to programming guidelines.
  + Updated translations.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Fix typos in platform demos, HIG and accessibility devel guide.
  + Updated translations.
* Tue Mar 24 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Fix context pushing in programming guidelines example.
  + Updated translations.
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Add a demo of writing GSource implementations.
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Add a page on GMainContext to the programming guidelines,
  + Clarifications to indentation style in programming guidelines.
  + Fixes to HIG translations.
  + Updated translations.
* Thu Feb 12 2015 zaitor@opensuse.org
- Update to version 3.15.4:
  + Overhaul the programming guidelines.
  + Restructuring of the C platform demos.
  + Improvements to the platform overview.
  + Updated translations.
* Sun Jan 25 2015 zaitor@opensuse.org
- Update to version 3.14.4:
  + Fixes and improvements to the platform demos.
  + Fix to the ATK page in the platform overview.
  + Clarification to the HIG regarding ellipses.
  + Updated translations.
* Mon Dec 15 2014 zaitor@opensuse.org
- Update to version 3.14.3:
  + Distribute widget_drawing.py.page.
  + Updated translations.
* Thu Nov 13 2014 zaitor@opensuse.org
- Update to version 3.14.2:
  + Distribute the HIG header image.
  + Updated translations.
* Mon Oct 13 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + Improvements and fixes to the HIG.
  + Updated translations.
* Tue Sep 23 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Improvements to the HIG.
  + Updated translations.
* Tue Sep 16 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Fix broken links in platform overview.
  + Clarify licenses of included documentation in COPYING.
  + Capitalization and ellipses improvements to the HIG.
  + Updated translations.
- Drop hack to workaround bgo#682987: fixed upstream.
* Mon Sep  1 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + New Human Interface Guidelines.
  + Fixes for new Human Interface Guidelines.
  + Platform demos updates.
  + Updated translations.
* Mon Aug 18 2014 dimstar@opensuse.org
- Update to version 3.12.3:
  + Relicense HIG to CC-BY-SA 4.0.
  + Remove unused images.
  + Updated translations.
- Update License tag to GFDL-1.1 and CC-BY-SA-4.0.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Fix validation errors.
  + Add licensing guide.
  + Alignment adjustment.
* Tue Apr 15 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Updated translations.
* Mon Mar 24 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Mark email addresses as untranslatable.
* Wed Mar 19 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Updates to Platform Demos.
  + Updated translations.
* Fri Feb 21 2014 dimstar@opensuse.org
- Update to version 3.10.3:
  + Updates to HIG, Optimization Guide, Platform Demos, Platform
    Overview and Programming Guidelines.
  + Drop outdated integration guide.
  + Updated translations.
* Tue Nov 12 2013 dimstar@opensuse.org
- Update to 3.10.2 (bnc#849913):
  + Updates to Platform Overview.
* Tue Oct 15 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + Updates to Platform Demos.
  + Updated translations.
* Tue Sep 24 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Updates to Platform Overview.
  + Updates to Platform Demos.
  + Updates to Accessibility Devel Guide.
  + Updates to Optimization Guide.
  + Updated translations.
- Package optimization-guide translations that are now available.
* Tue May 14 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Typo fixes.
  + Updated translations.
* Tue Mar 26 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updates to demos.
  + Updates to overview.
  + Fixed typos.
  + Updated translations.
* Mon Feb 18 2013 dimstar@opensuse.org
- Update to version 3.7.90:
  + Updates to Python demos.
  + Fixed incorrect value in Guitar Tuner demo (bgo#687628).
  + Various typo fixes.
  + Updated translations.
* Sun Nov 25 2012 dimstar@opensuse.org
- Update to version 3.7.2:
  + Switch to using yelp.m4 build system.
  + Various typo fixes.
  + Updated translations.
- Replace gnome-doc-utils-devel BuildRequires with yelp-tools,
  following upstreams move.
* Mon Nov 12 2012 dimstar@opensuse.org
- Update to version 3.6.2:
  + Fixed typos.
  + Updated translations.
* Mon Oct 15 2012 dimstar@opensuse.org
- Update to version 3.6.1:
  + Fixed broken accessibility links in HIG.
  + Updated translations.
* Tue Sep 25 2012 dimstar@opensuse.org
- Update to version 3.6.0:
  + Fixed link in HIG
  + Fixed broken translations
  + Updated translations.
* Wed Aug 29 2012 dimstar@opensuse.org
- Add gnome-common BuildRequires and call to gnome-autogen.sh:
  A patch in gnome-doc-utils requires bootstrapping here, in order
  to install the softlinks to the figs correctly.
- Add hack to copy platform-demos/C/media/03_jssignal_02.png to
  platform-demos/C/media/03_jssignal_02b.png: This file is being
  referenced in the docs and install scripts, but is missing in
  the tarball and git (bgo#682987).
* Tue Aug 21 2012 dimstar@opensuse.org
- Update to version 3.5.90:
  + Updated platform demos.
  + Updated translations.
* Mon Aug  6 2012 dimstar@opensuse.org
- Update to version 3.5.5:
  + Updated platform demos.
  + Updated translations.
* Tue Jul 17 2012 dimstar@opensuse.org
- Update to version 3.5.4:
  + Updated platform demos.
  + Updated translations.
* Tue Jun 26 2012 dimstar@opensuse.org
- Update to version 3.5.3:
  + Platform Demos.
  + Updated translations.
* Thu Jun  7 2012 dimstar@opensuse.org
- Update to version 3.5.2:
  + Updated platform demos.
  + Updates to Accessibility Development Guide.
  + Updated translations.
- Drop gnome-devel-docs-fix-figures.patch: fixed upstream.
* Thu Apr 19 2012 vuntz@opensuse.org
- Add gnome-devel-docs-fix-figures.patch: fix broken figure
  symlinks, that break bundle-lang-gnome-extras.
* Tue Apr 17 2012 vuntz@opensuse.org
- Update to version 3.4.1:
  + Updates to Accessibility Development Guide, Platform Demos and
    Platform Overview.
  + Updated translations.
* Mon Mar 26 2012 vuntz@opensuse.org
- Update to version 3.4.0:
  + Updates to Human Interface Guidelines.
  + Updated translations.
* Tue Mar 20 2012 dimstar@opensuse.org
- Update to version 3.3.92:
  + Updates to Human Interface Guidelines, Integration Guide and
    Platform Demos.
  + Updated translations.
* Fri Feb 24 2012 vuntz@opensuse.org
- Update to version 3.3.3:
  + Platform Overview:
  - Major reorg of the platform overview
  - Merged platform demos into overview
  - Updates to various tutorials
  - Added new samples
  + Updated translations.
- Remove xz BuildRequires now that it comes for free in the build
  system.
* Mon Jan 23 2012 vuntz@opensuse.org
- Update to version 3.3.1:
  + Platform Overview:
  - Fixed link in ATK documentation
  - Added previously omitted files to Makefile.am
  + Platform Demos:
  - Added previously omitted files to Makefile.am
  - Added Vala version of Image Viewer Demo
  + Updated translations.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
* Mon Oct 17 2011 dimstar@opensuse.org
- Update to version 3.2.1:
  + Platform Overview
  - Fixed links to EDS documentation
  - Fixed missing license files
  + Updated translations.
* Tue Sep 27 2011 vuntz@opensuse.org
- Update to version 3.2.0:
  + Human Interface Guidelines:
  - Fixed links to freedesktop specifications
  + Updated translations.
* Tue May 24 2011 dimstar@opensuse.org
- Update to version 3.0.3:
  + Typo fixes.
  + Updated translations.
* Tue Apr 26 2011 fcrozat@novell.com
- Update to version 3.0.2:
  + Actually install catalog file correctly.
- Changes from version 3.0.1:
  + Accessibility Devel Guide:
  - Updated translations.
  + Developper Demos:
  - Added content to Clutter page.
  - Install catalog file correctly.
  - Updated translations.
  + Human Interface Guidelines:
  - Updated translations.
  + Platform Overview:
  - Updated translations.
* Wed Apr  6 2011 fcrozat@novell.com
- Update to version 3.0.0:
  + Updates to demos and overview.
- Changes from version 2.91.91:
  + Updated translations.
- Changes from version 2.91.90:
  + New developer demo tutorials.
  + Updated translations.
- gdp-handbook and gdp-style-guide are no longer shipped.
* Sun Feb 13 2011 vuntz@opensuse.org
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Updated translations.
* Thu Apr 29 2010 dimstar@opensuse.org
- Update to version 2.30.1:
  + Updated translations.
* Mon Mar 29 2010 vuntz@opensuse.org
- New package.
